<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PPII: Riferimenti per il file grafica.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PPII
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generato da Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Cerca');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Pagina&#160;Principale</span></a></li>
      <li><a href="annotated.html"><span>Classi</span></a></li>
      <li class="current"><a href="files.html"><span>File</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Cerca" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>Elenco&#160;dei&#160;file</span></a></li>
      <li><a href="globals.html"><span>Elementi&#160;dei&#160;file</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Composti</a> &#124;
<a href="#func-members">Funzioni</a> &#124;
<a href="#var-members">Variabili</a>  </div>
  <div class="headertitle">
<div class="title">Riferimenti per il file grafica.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="dati_8h_source.html">dati.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="fileIO_8h_source.html">fileIO.h</a>&quot;</code><br />
<code>#include &lt;list&gt;</code><br />
<code>#include &lt;cstring&gt;</code><br />
<code>#include &lt;cstdio&gt;</code><br />
<code>#include &lt;iostream&gt;</code><br />
<code>#include &lt;allegro5/allegro.h&gt;</code><br />
<code>#include &lt;allegro5/allegro_image.h&gt;</code><br />
<code>#include &lt;allegro5/allegro_font.h&gt;</code><br />
<code>#include &lt;allegro5/allegro_ttf.h&gt;</code><br />
</div>
<p><a href="grafica_8h_source.html">Vai al codice sorgente di questo file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Composti</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdati__schermo.html">dati_schermo</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Struttura contenente i dati dello schermo, necessari per l'aggiornamento della schermata.  <a href="structdati__schermo.html#details">Continua...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Funzioni</h2></td></tr>
<tr class="memitem:abf6bf83015a8e1d5f1eb72ba05d8c602"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#abf6bf83015a8e1d5f1eb72ba05d8c602">inizializza_schermo</a> (<a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo, int larg_disegno, int alt_disegno, int fps, ALLEGRO_BITMAP *img_sfondo, ALLEGRO_BITMAP *img_hp_hud, ALLEGRO_BITMAP *img_col_hud, ALLEGRO_BITMAP *img_npc_hud, const char *hud_path, int hud_font_size)</td></tr>
<tr class="memdesc:abf6bf83015a8e1d5f1eb72ba05d8c602"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione di inizializzazione dello schermo, contestualmente ai parametri passati in input.  <a href="#abf6bf83015a8e1d5f1eb72ba05d8c602">Continua...</a><br /></td></tr>
<tr class="separator:abf6bf83015a8e1d5f1eb72ba05d8c602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a222311690c28f60e94515edd5f4d4efd"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a222311690c28f60e94515edd5f4d4efd">avanza_animazioni</a> (<a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo, <a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;gioco)</td></tr>
<tr class="memdesc:a222311690c28f60e94515edd5f4d4efd"><td class="mdescLeft">&#160;</td><td class="mdescRight">(NON IMPLEMENTATA)  <a href="#a222311690c28f60e94515edd5f4d4efd">Continua...</a><br /></td></tr>
<tr class="separator:a222311690c28f60e94515edd5f4d4efd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11956c9aad35fe275b798bf4bcc4c6a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#ae11956c9aad35fe275b798bf4bcc4c6a">stampa_sfondo</a> (const ALLEGRO_BITMAP *immagine)</td></tr>
<tr class="memdesc:ae11956c9aad35fe275b798bf4bcc4c6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stampa dell'immagine di sfondo.  <a href="#ae11956c9aad35fe275b798bf4bcc4c6a">Continua...</a><br /></td></tr>
<tr class="separator:ae11956c9aad35fe275b798bf4bcc4c6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43685bf99c306fa2021feeb692889d7f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a43685bf99c306fa2021feeb692889d7f">stampa_strutture</a> (const list&lt; struttura &gt; strutture)</td></tr>
<tr class="separator:a43685bf99c306fa2021feeb692889d7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445e9f3b9ca68564116c4e4072128863"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a445e9f3b9ca68564116c4e4072128863">stampa_effetti_retro</a> (const list&lt; effetto &gt; effetti_retro)</td></tr>
<tr class="separator:a445e9f3b9ca68564116c4e4072128863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58305f0c55fcfeeb82757b36c1a70a85"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a58305f0c55fcfeeb82757b36c1a70a85">stampa_oggetti</a> (const list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt; oggetti)</td></tr>
<tr class="memdesc:a58305f0c55fcfeeb82757b36c1a70a85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stampa di tutta la lista oggetti su schermo.  <a href="#a58305f0c55fcfeeb82757b36c1a70a85">Continua...</a><br /></td></tr>
<tr class="separator:a58305f0c55fcfeeb82757b36c1a70a85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe2da8d02ef1cc821b247f64c5c598e3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#afe2da8d02ef1cc821b247f64c5c598e3">stampa_personaggi</a> (const list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt; personaggi)</td></tr>
<tr class="memdesc:afe2da8d02ef1cc821b247f64c5c598e3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stampa di tutta la lista personaggi su schermo.  <a href="#afe2da8d02ef1cc821b247f64c5c598e3">Continua...</a><br /></td></tr>
<tr class="separator:afe2da8d02ef1cc821b247f64c5c598e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae7f2be78493c005519821078d00e2cc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#aae7f2be78493c005519821078d00e2cc">stampa_effetti_fronte</a> (const list&lt; effetto &gt; effetti_fronte)</td></tr>
<tr class="separator:aae7f2be78493c005519821078d00e2cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4fb4ff8406dd5ffea801ab7ab308481"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#ac4fb4ff8406dd5ffea801ab7ab308481">stampa_interfaccia_dati</a> (const <a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati, const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo)</td></tr>
<tr class="memdesc:ac4fb4ff8406dd5ffea801ab7ab308481"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che stampa a schermo i dati relativi alla partita:  <a href="#ac4fb4ff8406dd5ffea801ab7ab308481">Continua...</a><br /></td></tr>
<tr class="separator:ac4fb4ff8406dd5ffea801ab7ab308481"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1351dc2e7935ba7ae02b00223b01fc39"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a1351dc2e7935ba7ae02b00223b01fc39">stampa_fotogramma</a> (<a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo, const <a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;dati)</td></tr>
<tr class="memdesc:a1351dc2e7935ba7ae02b00223b01fc39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che utilizza tutte le stampre con un preciso ordine di esecuzione, allo scopo di generare correttamente i diversi livelli di sovrapposizione delle immagini.  <a href="#a1351dc2e7935ba7ae02b00223b01fc39">Continua...</a><br /></td></tr>
<tr class="separator:a1351dc2e7935ba7ae02b00223b01fc39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dfae595de95573ea22da34f5c60e55c"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a3dfae595de95573ea22da34f5c60e55c">leggi_nome</a> (<a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;schermo)</td></tr>
<tr class="memdesc:a3dfae595de95573ea22da34f5c60e55c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che crea una schermata per la lettura di tre caratteri, rappresentanti il nome da salvare nella lista dei punteggi migliori, ritorna puntatore a caratteri contenente il nome.  <a href="#a3dfae595de95573ea22da34f5c60e55c">Continua...</a><br /></td></tr>
<tr class="separator:a3dfae595de95573ea22da34f5c60e55c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06282d10f9f4dcec588e606957c7b2a2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a06282d10f9f4dcec588e606957c7b2a2">stampa_risultati</a> (<a class="el" href="structdati__schermo.html">dati_schermo</a> schermo)</td></tr>
<tr class="memdesc:a06282d10f9f4dcec588e606957c7b2a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che stampa a schermo il riepilogo di fine gioco, che riassume tutte le attività importanti e il punteggio finale della partita.  <a href="#a06282d10f9f4dcec588e606957c7b2a2">Continua...</a><br /></td></tr>
<tr class="separator:a06282d10f9f4dcec588e606957c7b2a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41db1de6df00b1441292a2660bd4c427"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a41db1de6df00b1441292a2660bd4c427">stampa_highscores</a> (<a class="el" href="structhighscore.html">highscore</a> *h)</td></tr>
<tr class="memdesc:a41db1de6df00b1441292a2660bd4c427"><td class="mdescLeft">&#160;</td><td class="mdescRight">Funzione che stampa a schermo la lista dei 10 punteggi migliori, caricati attraverso <a class="el" href="fileIO_8h.html#ab3582169589d82ea8b470bb1af40d8d5" title="Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i element...">leggi_highscores</a>.  <a href="#a41db1de6df00b1441292a2660bd4c427">Continua...</a><br /></td></tr>
<tr class="separator:a41db1de6df00b1441292a2660bd4c427"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variabili</h2></td></tr>
<tr class="memitem:ad3af550d56af7344403824f3dc496d91"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> = 705</td></tr>
<tr class="memdesc:ad3af550d56af7344403824f3dc496d91"><td class="mdescLeft">&#160;</td><td class="mdescRight">Posizione del terreno sull'asse y dove scorrono i personaggi.  <a href="#ad3af550d56af7344403824f3dc496d91">Continua...</a><br /></td></tr>
<tr class="separator:ad3af550d56af7344403824f3dc496d91"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c721a3ead282fd4747f8eb5405a79a2"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a7c721a3ead282fd4747f8eb5405a79a2">MAX_ALT_SALTO</a> = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 375</td></tr>
<tr class="memdesc:a7c721a3ead282fd4747f8eb5405a79a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Altezza massima di salto.  <a href="#a7c721a3ead282fd4747f8eb5405a79a2">Continua...</a><br /></td></tr>
<tr class="separator:a7c721a3ead282fd4747f8eb5405a79a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af10512e799a8de762023e0f97697cb38"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#af10512e799a8de762023e0f97697cb38">MED_ALT_SALTO_3</a> = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 350</td></tr>
<tr class="memdesc:af10512e799a8de762023e0f97697cb38"><td class="mdescLeft">&#160;</td><td class="mdescRight">Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata.  <a href="#af10512e799a8de762023e0f97697cb38">Continua...</a><br /></td></tr>
<tr class="separator:af10512e799a8de762023e0f97697cb38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3e19728792c4efa48c6b86ee9eb5832"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#ae3e19728792c4efa48c6b86ee9eb5832">MED_ALT_SALTO_2</a> = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 325</td></tr>
<tr class="memdesc:ae3e19728792c4efa48c6b86ee9eb5832"><td class="mdescLeft">&#160;</td><td class="mdescRight">Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata ulteriormente.  <a href="#ae3e19728792c4efa48c6b86ee9eb5832">Continua...</a><br /></td></tr>
<tr class="separator:ae3e19728792c4efa48c6b86ee9eb5832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a908e0234e2bee0680ab9c53ec914c19b"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a908e0234e2bee0680ab9c53ec914c19b">MED_ALT_SALTO_1</a> = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 250</td></tr>
<tr class="memdesc:a908e0234e2bee0680ab9c53ec914c19b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata ancora una volta.  <a href="#a908e0234e2bee0680ab9c53ec914c19b">Continua...</a><br /></td></tr>
<tr class="separator:a908e0234e2bee0680ab9c53ec914c19b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ff7526ffd0929aec587ab046a63cc1c"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a> = 40</td></tr>
<tr class="memdesc:a5ff7526ffd0929aec587ab046a63cc1c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Distanza tra il margine sinistro dello schermo e le immagini dell'hud.  <a href="#a5ff7526ffd0929aec587ab046a63cc1c">Continua...</a><br /></td></tr>
<tr class="separator:a5ff7526ffd0929aec587ab046a63cc1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bde3d98948298e384aafd2b7a757526"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a> = <a class="el" href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a> + 60</td></tr>
<tr class="memdesc:a1bde3d98948298e384aafd2b7a757526"><td class="mdescLeft">&#160;</td><td class="mdescRight">Distanza tra il margine sinistro dello schermo e il testo dell'hud.  <a href="#a1bde3d98948298e384aafd2b7a757526">Continua...</a><br /></td></tr>
<tr class="separator:a1bde3d98948298e384aafd2b7a757526"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1481a6c1982709cc6c7394c3bc2ed11"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a> = 35</td></tr>
<tr class="memdesc:ac1481a6c1982709cc6c7394c3bc2ed11"><td class="mdescLeft">&#160;</td><td class="mdescRight">Distanza tra il margine superiore dello schermo e la prima riga dell'hud.  <a href="#ac1481a6c1982709cc6c7394c3bc2ed11">Continua...</a><br /></td></tr>
<tr class="separator:ac1481a6c1982709cc6c7394c3bc2ed11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace0a43d35ee272c7d5896d3ad6ec6e3a"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a> = 60</td></tr>
<tr class="memdesc:ace0a43d35ee272c7d5896d3ad6ec6e3a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Distanza tra una riga e la successiva.  <a href="#ace0a43d35ee272c7d5896d3ad6ec6e3a">Continua...</a><br /></td></tr>
<tr class="separator:ace0a43d35ee272c7d5896d3ad6ec6e3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Documentazione delle funzioni</h2>
<a class="anchor" id="a222311690c28f60e94515edd5f4d4efd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void avanza_animazioni </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>gioco</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>(NON IMPLEMENTATA) </p>
<div class="fragment"><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;    </div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;}</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="abf6bf83015a8e1d5f1eb72ba05d8c602"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool inizializza_schermo </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>larg_disegno</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>alt_disegno</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>fps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ALLEGRO_BITMAP *&#160;</td>
          <td class="paramname"><em>img_sfondo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ALLEGRO_BITMAP *&#160;</td>
          <td class="paramname"><em>img_hp_hud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ALLEGRO_BITMAP *&#160;</td>
          <td class="paramname"><em>img_col_hud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ALLEGRO_BITMAP *&#160;</td>
          <td class="paramname"><em>img_npc_hud</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>hud_path</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>hud_font_size</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione di inizializzazione dello schermo, contestualmente ai parametri passati in input. </p>
<div class="fragment"><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;{</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;    <span class="comment">//Setup del monitor (controllo se c&#39;e&#39; un monitor...)</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;    <span class="keywordflow">if</span>(al_get_num_video_adapters() == 0)</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    al_set_new_display_flags(ALLEGRO_FULLSCREEN_WINDOW);</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a2988bbe07cbafbcc0e1360140a2b89ac">display</a> = al_create_display(larg_disegno, alt_disegno);</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#aa107edb1b1b95a045688784c51d4fdf2">sfondo</a> = img_sfondo;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#aeb26dc1a6d8a5f3012facc88a6b93a02">nvite</a> = img_hp_hud;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a7190ae75d41c95580e05fb352ab911f4">narmi</a> = img_col_hud;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a8d6cbf4478eb0b651ef903c28822d11b">nnpc</a> = img_npc_hud;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">larghezza</a> = larg_disegno;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a840208b5dabbb3ee4b79d3ae61bb4a42">altezza</a> = alt_disegno;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a5ee6fddcbf1eb9ebf58c74b2ed173578">serve_disegno</a> = <span class="keyword">true</span>;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#a6d2db5e13f5ddfe8bd32c172289d1210">fps</a> = fps;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;    schermo.<a class="code" href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">hud_font</a> = al_load_ttf_font(hud_path, hud_font_size, 0);</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    <span class="keywordflow">return</span> <span class="keyword">true</span>;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="ttc" id="structdati__schermo_html_aa107edb1b1b95a045688784c51d4fdf2"><div class="ttname"><a href="structdati__schermo.html#aa107edb1b1b95a045688784c51d4fdf2">dati_schermo::sfondo</a></div><div class="ttdeci">ALLEGRO_BITMAP * sfondo</div><div class="ttdoc">Immagine di sfondo del gioco. </div><div class="ttdef"><b>Definition:</b> grafica.h:33</div></div>
<div class="ttc" id="structdati__schermo_html_a2988bbe07cbafbcc0e1360140a2b89ac"><div class="ttname"><a href="structdati__schermo.html#a2988bbe07cbafbcc0e1360140a2b89ac">dati_schermo::display</a></div><div class="ttdeci">ALLEGRO_DISPLAY * display</div><div class="ttdoc">Oggetto delle librerie Allegro che contiene le informazioni del display. </div><div class="ttdef"><b>Definition:</b> grafica.h:32</div></div>
<div class="ttc" id="structdati__schermo_html_a8d6cbf4478eb0b651ef903c28822d11b"><div class="ttname"><a href="structdati__schermo.html#a8d6cbf4478eb0b651ef903c28822d11b">dati_schermo::nnpc</a></div><div class="ttdeci">ALLEGRO_BITMAP * nnpc</div><div class="ttdoc">Immagine delle npc vive rimanenti. </div><div class="ttdef"><b>Definition:</b> grafica.h:36</div></div>
<div class="ttc" id="structdati__schermo_html_a5ee6fddcbf1eb9ebf58c74b2ed173578"><div class="ttname"><a href="structdati__schermo.html#a5ee6fddcbf1eb9ebf58c74b2ed173578">dati_schermo::serve_disegno</a></div><div class="ttdeci">bool serve_disegno</div><div class="ttdoc">Flag che indica che lo schermo deve essere ridisegnato. </div><div class="ttdef"><b>Definition:</b> grafica.h:41</div></div>
<div class="ttc" id="structdati__schermo_html_a840208b5dabbb3ee4b79d3ae61bb4a42"><div class="ttname"><a href="structdati__schermo.html#a840208b5dabbb3ee4b79d3ae61bb4a42">dati_schermo::altezza</a></div><div class="ttdeci">int altezza</div><div class="ttdoc">Altezza del disegno. </div><div class="ttdef"><b>Definition:</b> grafica.h:39</div></div>
<div class="ttc" id="structdati__schermo_html_a97cae07ad1d39653da2e7ee79111a4ed"><div class="ttname"><a href="structdati__schermo.html#a97cae07ad1d39653da2e7ee79111a4ed">dati_schermo::larghezza</a></div><div class="ttdeci">int larghezza</div><div class="ttdoc">Larghezza del disegno. </div><div class="ttdef"><b>Definition:</b> grafica.h:38</div></div>
<div class="ttc" id="structdati__schermo_html_aeb26dc1a6d8a5f3012facc88a6b93a02"><div class="ttname"><a href="structdati__schermo.html#aeb26dc1a6d8a5f3012facc88a6b93a02">dati_schermo::nvite</a></div><div class="ttdeci">ALLEGRO_BITMAP * nvite</div><div class="ttdoc">Immagine delle vite rimanenti. </div><div class="ttdef"><b>Definition:</b> grafica.h:34</div></div>
<div class="ttc" id="structdati__schermo_html_a7190ae75d41c95580e05fb352ab911f4"><div class="ttname"><a href="structdati__schermo.html#a7190ae75d41c95580e05fb352ab911f4">dati_schermo::narmi</a></div><div class="ttdeci">ALLEGRO_BITMAP * narmi</div><div class="ttdoc">Immagine delle armi rimanenti. </div><div class="ttdef"><b>Definition:</b> grafica.h:35</div></div>
<div class="ttc" id="structdati__schermo_html_abaae5c0f13e4034796c07452420c23f4"><div class="ttname"><a href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">dati_schermo::hud_font</a></div><div class="ttdeci">ALLEGRO_FONT * hud_font</div><div class="ttdoc">Il font utilizzato per la stampa degli elementi sull&amp;#39;interfaccia. </div><div class="ttdef"><b>Definition:</b> grafica.h:37</div></div>
<div class="ttc" id="structdati__schermo_html_a6d2db5e13f5ddfe8bd32c172289d1210"><div class="ttname"><a href="structdati__schermo.html#a6d2db5e13f5ddfe8bd32c172289d1210">dati_schermo::fps</a></div><div class="ttdeci">int fps</div><div class="ttdoc">Aggiornamenti per secondo dello schermo. </div><div class="ttdef"><b>Definition:</b> grafica.h:40</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a3dfae595de95573ea22da34f5c60e55c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* leggi_nome </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che crea una schermata per la lettura di tre caratteri, rappresentanti il nome da salvare nella lista dei punteggi migliori, ritorna puntatore a caratteri contenente il nome. </p>
<div class="fragment"><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;{</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="keywordtype">char</span> *nome = <span class="keyword">new</span> <span class="keywordtype">char</span>[4];</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    nome[0] = <span class="charliteral">&#39;_&#39;</span>;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    nome[1] = <span class="charliteral">&#39;_&#39;</span>;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    nome[2] = <span class="charliteral">&#39;_&#39;</span>;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">int</span> i = 0;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    ALLEGRO_FONT* font = al_load_font(<span class="stringliteral">&quot;../media/font/hud.ttf&quot;</span>, 30, 0);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    ALLEGRO_EVENT_QUEUE *q = al_create_event_queue();</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    al_register_event_source(q, al_get_keyboard_event_source());</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    ALLEGRO_EVENT *evt = <span class="keyword">new</span> ALLEGRO_EVENT;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <a class="code" href="grafica_8cc.html#a06282d10f9f4dcec588e606957c7b2a2">stampa_risultati</a>(schermo);</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    al_draw_text(font, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>,</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;                <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>*9 + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, ALLEGRO_ALIGN_LEFT,</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                <span class="stringliteral">&quot;Inserisci il nome da visualizzare nella lista dei punteggi migliori: _ _ _&quot;</span>);</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    al_flip_display();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordflow">do</span></div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    {</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        al_wait_for_event(q, evt);</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        <span class="keywordflow">if</span>(((evt-&gt;keyboard.unichar &gt;= <span class="charliteral">&#39;a&#39;</span> </div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;             &amp;&amp; evt-&gt;keyboard.unichar &lt;= <span class="charliteral">&#39;z&#39;</span>)</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;             || evt-&gt;keyboard.unichar == 8) &amp;&amp; !(evt-&gt;keyboard.repeat))</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;        {</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;            <span class="keywordflow">if</span>(evt-&gt;keyboard.keycode == ALLEGRO_KEY_BACKSPACE)</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;            {</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;                <span class="keywordflow">if</span>(i &gt; 0)</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;                    i--;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;                nome[i] = <span class="charliteral">&#39;_&#39;</span>;</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;            }</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;            <span class="keywordflow">else</span></div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;            {</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;                <span class="keywordflow">if</span>(i &lt; 3)</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;                {</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;                    nome[i] = evt-&gt;keyboard.unichar - 32;</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;                    i++;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;                }</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            }</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;            al_clear_to_color(al_map_rgb(0, 0, 0));</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;            <a class="code" href="grafica_8cc.html#a06282d10f9f4dcec588e606957c7b2a2">stampa_risultati</a>(schermo);</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;            <span class="keywordtype">char</span> testo[80] = <span class="stringliteral">&quot;Inserisci il nome da visualizzare nella lista dei punteggi migliori: %c %c %c&quot;</span>;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;            <span class="keywordtype">char</span> display[100];</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;            sprintf(display, testo, nome[0], nome[1], nome[2]);</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;            al_draw_text(font, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>,</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;                        <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>*9 + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, ALLEGRO_ALIGN_LEFT,</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;                        display);</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;            al_flip_display();</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;        }</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    }<span class="keywordflow">while</span> (evt-&gt;keyboard.keycode != ALLEGRO_KEY_ENTER);</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    al_destroy_font(font);</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;    <span class="keywordflow">return</span> nome;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;}</div><div class="ttc" id="grafica_8h_html_ac1481a6c1982709cc6c7394c3bc2ed11"><div class="ttname"><a href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a></div><div class="ttdeci">const int Y_OFFSET_HUD</div><div class="ttdoc">Distanza tra il margine superiore dello schermo e la prima riga dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:24</div></div>
<div class="ttc" id="grafica_8h_html_a1bde3d98948298e384aafd2b7a757526"><div class="ttname"><a href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a></div><div class="ttdeci">const int X_TESTO_HUD</div><div class="ttdoc">Distanza tra il margine sinistro dello schermo e il testo dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:23</div></div>
<div class="ttc" id="grafica_8h_html_ace0a43d35ee272c7d5896d3ad6ec6e3a"><div class="ttname"><a href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a></div><div class="ttdeci">const int Y_INTERLINEA</div><div class="ttdoc">Distanza tra una riga e la successiva. </div><div class="ttdef"><b>Definition:</b> grafica.h:25</div></div>
<div class="ttc" id="grafica_8cc_html_a06282d10f9f4dcec588e606957c7b2a2"><div class="ttname"><a href="grafica_8cc.html#a06282d10f9f4dcec588e606957c7b2a2">stampa_risultati</a></div><div class="ttdeci">void stampa_risultati(dati_schermo schermo)</div><div class="ttdoc">Funzione che stampa a schermo il riepilogo di fine gioco, che riassume tutte le attività importanti e...</div><div class="ttdef"><b>Definition:</b> grafica.cc:181</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aae7f2be78493c005519821078d00e2cc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_effetti_fronte </td>
          <td>(</td>
          <td class="paramtype">const list&lt; effetto &gt;&#160;</td>
          <td class="paramname"><em>effetti_fronte</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="fragment"><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;{</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    </div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;}</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a445e9f3b9ca68564116c4e4072128863"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_effetti_retro </td>
          <td>(</td>
          <td class="paramtype">const list&lt; effetto &gt;&#160;</td>
          <td class="paramname"><em>effetti_retro</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="fragment"><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div></div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a1351dc2e7935ba7ae02b00223b01fc39"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_fotogramma </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che utilizza tutte le stampre con un preciso ordine di esecuzione, allo scopo di generare correttamente i diversi livelli di sovrapposizione delle immagini. </p>
<div class="fragment"><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;{</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    al_clear_to_color(al_map_rgb(0,0,0));</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <a class="code" href="grafica_8cc.html#a655899394b15311df1743b7223ab3e5b">stampa_sfondo</a>(schermo);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    <span class="comment">//stampa_strutture(dati.strutture);</span></div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="comment">//stampa_effetti_retro(dati.effetti_retro);</span></div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="grafica_8cc.html#a58305f0c55fcfeeb82757b36c1a70a85">stampa_oggetti</a>(dati.<a class="code" href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">oggetti</a>);</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    <a class="code" href="grafica_8cc.html#afe2da8d02ef1cc821b247f64c5c598e3">stampa_personaggi</a>(dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="comment">//stampa_effetti_fronte(dati.effetti_fronte);</span></div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="grafica_8cc.html#ac4fb4ff8406dd5ffea801ab7ab308481">stampa_interfaccia_dati</a>(dati, schermo);</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    al_flip_display();</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;}</div><div class="ttc" id="grafica_8cc_html_a655899394b15311df1743b7223ab3e5b"><div class="ttname"><a href="grafica_8cc.html#a655899394b15311df1743b7223ab3e5b">stampa_sfondo</a></div><div class="ttdeci">void stampa_sfondo(dati_schermo &amp;schermo)</div><div class="ttdef"><b>Definition:</b> grafica.cc:33</div></div>
<div class="ttc" id="structdati__gioco_html_a12e014110bcaf81336ff993a67b292f2"><div class="ttname"><a href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">dati_gioco::personaggi</a></div><div class="ttdeci">list&lt; personaggio &gt; personaggi</div><div class="ttdoc">Lista contenente tutti i personaggi attivi nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:137</div></div>
<div class="ttc" id="grafica_8cc_html_a58305f0c55fcfeeb82757b36c1a70a85"><div class="ttname"><a href="grafica_8cc.html#a58305f0c55fcfeeb82757b36c1a70a85">stampa_oggetti</a></div><div class="ttdeci">void stampa_oggetti(const list&lt; oggetto &gt; oggetti)</div><div class="ttdoc">Stampa di tutta la lista oggetti su schermo. </div><div class="ttdef"><b>Definition:</b> grafica.cc:48</div></div>
<div class="ttc" id="grafica_8cc_html_ac4fb4ff8406dd5ffea801ab7ab308481"><div class="ttname"><a href="grafica_8cc.html#ac4fb4ff8406dd5ffea801ab7ab308481">stampa_interfaccia_dati</a></div><div class="ttdeci">void stampa_interfaccia_dati(const dati_gioco &amp;dati, const dati_schermo &amp;schermo)</div><div class="ttdoc">Funzione che stampa a schermo i dati relativi alla partita: </div><div class="ttdef"><b>Definition:</b> grafica.cc:79</div></div>
<div class="ttc" id="structdati__gioco_html_a6b650fddfdbd443f8bffde28f1cd6362"><div class="ttname"><a href="structdati__gioco.html#a6b650fddfdbd443f8bffde28f1cd6362">dati_gioco::oggetti</a></div><div class="ttdeci">list&lt; oggetto &gt; oggetti</div><div class="ttdoc">Lista contenente tutte le armi da lancio attive nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:136</div></div>
<div class="ttc" id="grafica_8cc_html_afe2da8d02ef1cc821b247f64c5c598e3"><div class="ttname"><a href="grafica_8cc.html#afe2da8d02ef1cc821b247f64c5c598e3">stampa_personaggi</a></div><div class="ttdeci">void stampa_personaggi(const list&lt; personaggio &gt; personaggi)</div><div class="ttdoc">Stampa di tutta la lista personaggi su schermo. </div><div class="ttdef"><b>Definition:</b> grafica.cc:56</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a41db1de6df00b1441292a2660bd4c427"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_highscores </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structhighscore.html">highscore</a> *&#160;</td>
          <td class="paramname"><em>h</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che stampa a schermo la lista dei 10 punteggi migliori, caricati attraverso <a class="el" href="fileIO_8h.html#ab3582169589d82ea8b470bb1af40d8d5" title="Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i element...">leggi_highscores</a>. </p>
<p>Il parametro h è un puntatore di tipo highscore, se passato NULL, la funzione stampa solo a schermo la lista, se invece è inizializzato, viene inserito nella lista dei punteggi ed evidenziato colorandolo di verde. </p>
<div class="fragment"><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;{</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="keywordtype">int</span> N;</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    <a class="code" href="structhighscore.html">highscore</a> *hs = <a class="code" href="fileIO_8cc.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a>(N);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    <span class="keywordflow">if</span>(N == 0)</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;        <span class="keywordflow">return</span>;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    ALLEGRO_FONT* font = al_load_font(<span class="stringliteral">&quot;../media/font/monos.ttf&quot;</span>, 35, 0);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    al_clear_to_color(al_map_rgb(0,0,0));</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;    al_draw_text(font, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>, <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>,</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;                 ALLEGRO_ALIGN_LEFT, <span class="stringliteral">&quot;Punteggi migliori:&quot;</span>);</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    </div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; N; i++)</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    {</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;        ALLEGRO_COLOR c = al_map_rgb(255, 255, 255);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;        <span class="keywordflow">if</span>(h != NULL &amp;&amp; hs[i].punteggio == h-&gt;<a class="code" href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">punteggio</a>)</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;            c = al_map_rgb(36, 232, 69);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;        <span class="keywordtype">char</span> da_scrivere[30] = <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;        sprintf(da_scrivere, <span class="stringliteral">&quot;%s  -  %d&quot;</span>, hs[i].nome, hs[i].punteggio);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        al_draw_text(font, c, <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a> + 20, <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>*(i+1) + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a></div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;                         , ALLEGRO_ALIGN_LEFT, da_scrivere);</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    }</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    al_flip_display();</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    </div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;    al_rest(3.5);</div><div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;    </div><div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;    <span class="keyword">delete</span>[] hs;</div><div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;    al_destroy_font(font);</div><div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;    </div><div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;}<div class="ttc" id="fileIO_8cc_html_ab3582169589d82ea8b470bb1af40d8d5"><div class="ttname"><a href="fileIO_8cc.html#ab3582169589d82ea8b470bb1af40d8d5">leggi_highscores</a></div><div class="ttdeci">highscore * leggi_highscores(int &amp;i)</div><div class="ttdoc">Funzione che legge i punteggi migliori dal file highscores.sav, e li ritorna in un array di i element...</div><div class="ttdef"><b>Definition:</b> fileIO.cc:100</div></div>
<div class="ttc" id="grafica_8h_html_ac1481a6c1982709cc6c7394c3bc2ed11"><div class="ttname"><a href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a></div><div class="ttdeci">const int Y_OFFSET_HUD</div><div class="ttdoc">Distanza tra il margine superiore dello schermo e la prima riga dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:24</div></div>
<div class="ttc" id="structhighscore_html"><div class="ttname"><a href="structhighscore.html">highscore</a></div><div class="ttdoc">Struttura dati che associa un nome di 3 caratteri ad un punteggio numerico intero. </div><div class="ttdef"><b>Definition:</b> statistiche.h:31</div></div>
<div class="ttc" id="grafica_8h_html_a1bde3d98948298e384aafd2b7a757526"><div class="ttname"><a href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a></div><div class="ttdeci">const int X_TESTO_HUD</div><div class="ttdoc">Distanza tra il margine sinistro dello schermo e il testo dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:23</div></div>
<div class="ttc" id="grafica_8h_html_ace0a43d35ee272c7d5896d3ad6ec6e3a"><div class="ttname"><a href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a></div><div class="ttdeci">const int Y_INTERLINEA</div><div class="ttdoc">Distanza tra una riga e la successiva. </div><div class="ttdef"><b>Definition:</b> grafica.h:25</div></div>
<div class="ttc" id="structhighscore_html_a18b417e85925aa34816f7aad1b8770e8"><div class="ttname"><a href="structhighscore.html#a18b417e85925aa34816f7aad1b8770e8">highscore::punteggio</a></div><div class="ttdeci">int punteggio</div><div class="ttdef"><b>Definition:</b> statistiche.h:34</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ac4fb4ff8406dd5ffea801ab7ab308481"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_interfaccia_dati </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structdati__gioco.html">dati_gioco</a> &amp;&#160;</td>
          <td class="paramname"><em>dati</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structdati__schermo.html">dati_schermo</a> &amp;&#160;</td>
          <td class="paramname"><em>schermo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che stampa a schermo i dati relativi alla partita: </p>
<ul>
<li>Vita del giocatore</li>
<li>Numero di coltelli in inventario</li>
<li>Numero di nemici eliminati </li>
</ul>
<div class="fragment"><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;{</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    </div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="comment">// Trasformazione dei dati dell&#39;hud da interi ad array di caratteri</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">char</span> vita[5];</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    sprintf(vita, <span class="stringliteral">&quot;x%d&quot;</span>, dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front().hp);</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    <span class="keywordtype">char</span> armi[5];</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    sprintf(armi, <span class="stringliteral">&quot;x%d&quot;</span>, dati.<a class="code" href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">personaggi</a>.front().num_oggetti);</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    </div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <span class="keywordtype">char</span> npc[5];</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    sprintf(npc, <span class="stringliteral">&quot;x%d&quot;</span>, <a class="code" href="grafica_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a>.<a class="code" href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">nemici_eliminati</a>);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    </div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="comment">//Disegno l&#39;immagine dell&#39;hud e successivamente la sua stringa</span></div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    al_draw_bitmap (schermo.<a class="code" href="structdati__schermo.html#aeb26dc1a6d8a5f3012facc88a6b93a02">nvite</a>, <a class="code" href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a>, <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, 0);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    al_draw_bitmap (schermo.<a class="code" href="structdati__schermo.html#a7190ae75d41c95580e05fb352ab911f4">narmi</a>, <a class="code" href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a>, <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a> + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, 0);</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    al_draw_bitmap (schermo.<a class="code" href="structdati__schermo.html#a8d6cbf4478eb0b651ef903c28822d11b">nnpc</a>, <a class="code" href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a>, <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>*2 + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, 0);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    </div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    al_draw_text(schermo.<a class="code" href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">hud_font</a>, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>,  </div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                    <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, ALLEGRO_ALIGN_LEFT, vita);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    al_draw_text(schermo.<a class="code" href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">hud_font</a>, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>, </div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                    <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a> + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, ALLEGRO_ALIGN_LEFT, armi);</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    al_draw_text(schermo.<a class="code" href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">hud_font</a>, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>, </div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                    <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>*2 + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a>, ALLEGRO_ALIGN_LEFT, npc);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;}</div><div class="ttc" id="structdati__gioco_html_a12e014110bcaf81336ff993a67b292f2"><div class="ttname"><a href="structdati__gioco.html#a12e014110bcaf81336ff993a67b292f2">dati_gioco::personaggi</a></div><div class="ttdeci">list&lt; personaggio &gt; personaggi</div><div class="ttdoc">Lista contenente tutti i personaggi attivi nello scenario. </div><div class="ttdef"><b>Definition:</b> dati.h:137</div></div>
<div class="ttc" id="grafica_8h_html_ac1481a6c1982709cc6c7394c3bc2ed11"><div class="ttname"><a href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a></div><div class="ttdeci">const int Y_OFFSET_HUD</div><div class="ttdoc">Distanza tra il margine superiore dello schermo e la prima riga dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:24</div></div>
<div class="ttc" id="structdati__schermo_html_a8d6cbf4478eb0b651ef903c28822d11b"><div class="ttname"><a href="structdati__schermo.html#a8d6cbf4478eb0b651ef903c28822d11b">dati_schermo::nnpc</a></div><div class="ttdeci">ALLEGRO_BITMAP * nnpc</div><div class="ttdoc">Immagine delle npc vive rimanenti. </div><div class="ttdef"><b>Definition:</b> grafica.h:36</div></div>
<div class="ttc" id="grafica_8h_html_a1bde3d98948298e384aafd2b7a757526"><div class="ttname"><a href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a></div><div class="ttdeci">const int X_TESTO_HUD</div><div class="ttdoc">Distanza tra il margine sinistro dello schermo e il testo dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:23</div></div>
<div class="ttc" id="grafica_8h_html_ace0a43d35ee272c7d5896d3ad6ec6e3a"><div class="ttname"><a href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a></div><div class="ttdeci">const int Y_INTERLINEA</div><div class="ttdoc">Distanza tra una riga e la successiva. </div><div class="ttdef"><b>Definition:</b> grafica.h:25</div></div>
<div class="ttc" id="structdati__schermo_html_aeb26dc1a6d8a5f3012facc88a6b93a02"><div class="ttname"><a href="structdati__schermo.html#aeb26dc1a6d8a5f3012facc88a6b93a02">dati_schermo::nvite</a></div><div class="ttdeci">ALLEGRO_BITMAP * nvite</div><div class="ttdoc">Immagine delle vite rimanenti. </div><div class="ttdef"><b>Definition:</b> grafica.h:34</div></div>
<div class="ttc" id="grafica_8h_html_a5ff7526ffd0929aec587ab046a63cc1c"><div class="ttname"><a href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a></div><div class="ttdeci">const int X_HUD</div><div class="ttdoc">Distanza tra il margine sinistro dello schermo e le immagini dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:22</div></div>
<div class="ttc" id="structstatistiche_html_a2de1de9b2da0b094a4188d2cdbe77d50"><div class="ttname"><a href="structstatistiche.html#a2de1de9b2da0b094a4188d2cdbe77d50">statistiche::nemici_eliminati</a></div><div class="ttdeci">int nemici_eliminati</div><div class="ttdoc">Numero di nemici eliminati durante la partita. </div><div class="ttdef"><b>Definition:</b> statistiche.h:20</div></div>
<div class="ttc" id="structdati__schermo_html_a7190ae75d41c95580e05fb352ab911f4"><div class="ttname"><a href="structdati__schermo.html#a7190ae75d41c95580e05fb352ab911f4">dati_schermo::narmi</a></div><div class="ttdeci">ALLEGRO_BITMAP * narmi</div><div class="ttdoc">Immagine delle armi rimanenti. </div><div class="ttdef"><b>Definition:</b> grafica.h:35</div></div>
<div class="ttc" id="grafica_8cc_html_aaf37f3a2ad02610bb8b0ed4b392e2bb2"><div class="ttname"><a href="grafica_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a></div><div class="ttdeci">statistiche stat</div><div class="ttdef"><b>Definition:</b> dati.cc:21</div></div>
<div class="ttc" id="structdati__schermo_html_abaae5c0f13e4034796c07452420c23f4"><div class="ttname"><a href="structdati__schermo.html#abaae5c0f13e4034796c07452420c23f4">dati_schermo::hud_font</a></div><div class="ttdeci">ALLEGRO_FONT * hud_font</div><div class="ttdoc">Il font utilizzato per la stampa degli elementi sull&amp;#39;interfaccia. </div><div class="ttdef"><b>Definition:</b> grafica.h:37</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a58305f0c55fcfeeb82757b36c1a70a85"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_oggetti </td>
          <td>(</td>
          <td class="paramtype">const list&lt; <a class="el" href="structoggetto.html">oggetto</a> &gt;&#160;</td>
          <td class="paramname"><em>oggetti</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stampa di tutta la lista oggetti su schermo. </p>
<div class="fragment"><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;{ </div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordflow">for</span>(<a class="code" href="structoggetto.html">oggetto</a> o : oggetti)</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;        <span class="keywordflow">if</span>(o.sprite.visibile)</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;            al_draw_bitmap(o.sprite.immagine, o.x, o.y, 0);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;}</div><div class="ttc" id="structoggetto_html"><div class="ttname"><a href="structoggetto.html">oggetto</a></div><div class="ttdoc">(NON IMPLEMENTATO) struct struttura { informazioni_disegno draw; bool visibile; }; ...</div><div class="ttdef"><b>Definition:</b> dati.h:88</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="afe2da8d02ef1cc821b247f64c5c598e3"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_personaggi </td>
          <td>(</td>
          <td class="paramtype">const list&lt; <a class="el" href="structpersonaggio.html">personaggio</a> &gt;&#160;</td>
          <td class="paramname"><em>personaggi</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stampa di tutta la lista personaggi su schermo. </p>
<div class="fragment"><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;{</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordflow">for</span>(<a class="code" href="structpersonaggio.html">personaggio</a> p : personaggi)</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="keywordflow">if</span>(p.sprite.visibile)</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;            <span class="comment">//Disegno arma</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;            <span class="keywordflow">if</span>(p.arma.sprite.visibile)</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;                al_draw_bitmap(p.arma.sprite.immagine, p.arma.x, p.arma.y, 0);</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;            <span class="comment">//Disegno personaggio</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;            al_draw_bitmap(p.sprite.immagine, p.x, p.y, 0);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;            <span class="comment">//Disegno freccia direzionale</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;            <span class="keywordflow">if</span>(p.direzione == <a class="code" href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a>)</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;                al_draw_bitmap(p.dir_img, p.x + <a class="code" href="dati_8h.html#a092f055b308b79b8234791eab1987c5e">LARG_SPRITE</a> - <a class="code" href="dati_8h.html#acffda6b4e6830b72a498b19d3e500080">OFFSET_IMG_DIR</a>, p.y + <a class="code" href="dati_8h.html#af1dbe5c2a6978ae73092e63a43799b00">OFFSET_ALT_MELEE</a>, 0);</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <span class="keywordflow">else</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;                al_draw_bitmap(p.dir_img, p.x + <a class="code" href="dati_8h.html#acffda6b4e6830b72a498b19d3e500080">OFFSET_IMG_DIR</a> - <a class="code" href="dati_8h.html#a26e6df407ab81d791f057aaee0ab300a">LARG_IMG_DIR</a>, p.y + <a class="code" href="dati_8h.html#af1dbe5c2a6978ae73092e63a43799b00">OFFSET_ALT_MELEE</a>, 0);</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;        }</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;}</div><div class="ttc" id="dati_8h_html_af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156"><div class="ttname"><a href="dati_8h.html#af342225ad7bf4f6af235b7e5483643c2a22dc95a35fbd833d9908928812979156">DX</a></div><div class="ttdef"><b>Definition:</b> dati.h:48</div></div>
<div class="ttc" id="structpersonaggio_html"><div class="ttname"><a href="structpersonaggio.html">personaggio</a></div><div class="ttdoc">Struttura che descrive un qualsiasi personaggio in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:105</div></div>
<div class="ttc" id="dati_8h_html_a26e6df407ab81d791f057aaee0ab300a"><div class="ttname"><a href="dati_8h.html#a26e6df407ab81d791f057aaee0ab300a">LARG_IMG_DIR</a></div><div class="ttdeci">const int LARG_IMG_DIR</div><div class="ttdoc">Valore che indica la larghezza in pixel dell&amp;#39;immagine di freccia direzionale. </div><div class="ttdef"><b>Definition:</b> dati.h:31</div></div>
<div class="ttc" id="dati_8h_html_af1dbe5c2a6978ae73092e63a43799b00"><div class="ttname"><a href="dati_8h.html#af1dbe5c2a6978ae73092e63a43799b00">OFFSET_ALT_MELEE</a></div><div class="ttdeci">const int OFFSET_ALT_MELEE</div><div class="ttdoc">Valore che esprime di quanti pixel deve essere spostata l&amp;#39;arma rispetto alla y del personaggio...</div><div class="ttdef"><b>Definition:</b> dati.h:28</div></div>
<div class="ttc" id="dati_8h_html_acffda6b4e6830b72a498b19d3e500080"><div class="ttname"><a href="dati_8h.html#acffda6b4e6830b72a498b19d3e500080">OFFSET_IMG_DIR</a></div><div class="ttdeci">const int OFFSET_IMG_DIR</div><div class="ttdoc">Valore che indica la distanza tra il bordo del personaggio e la freccia direzionale. </div><div class="ttdef"><b>Definition:</b> dati.h:32</div></div>
<div class="ttc" id="dati_8h_html_a092f055b308b79b8234791eab1987c5e"><div class="ttname"><a href="dati_8h.html#a092f055b308b79b8234791eab1987c5e">LARG_SPRITE</a></div><div class="ttdeci">const int LARG_SPRITE</div><div class="ttdoc">Larghezza di ogni sprite in gioco. </div><div class="ttdef"><b>Definition:</b> dati.h:15</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a06282d10f9f4dcec588e606957c7b2a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_risultati </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structdati__schermo.html">dati_schermo</a>&#160;</td>
          <td class="paramname"><em>schermo</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Funzione che stampa a schermo il riepilogo di fine gioco, che riassume tutte le attività importanti e il punteggio finale della partita. </p>
<div class="fragment"><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;{</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    ALLEGRO_FONT* font = al_load_font(<span class="stringliteral">&quot;../media/font/hud.ttf&quot;</span>, 30, 0);</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    <span class="comment">//Stampa a schermo</span></div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    al_clear_to_color(al_map_rgb(0,0,0));</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    <span class="keywordtype">char</span> text[][50] = {<span class="stringliteral">&quot;Nemici eliminati: %.f&quot;</span>, <span class="stringliteral">&quot;Oggetti lanciati: %.f&quot;</span>,</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;                    <span class="stringliteral">&quot;Durata partita: %.00f&quot;</span>,</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;                    <span class="stringliteral">&quot;Danni ricevuti per compenetrazione: %.f&quot;</span>, </div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;                    <span class="stringliteral">&quot;Danni ricevuti da armi ravvicinate: %.f&quot;</span>,</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;                    <span class="stringliteral">&quot;Punteggio Finale: %.f&quot;</span>};</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; 6; i++)</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    {</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;        <span class="keywordtype">char</span> finale[50];</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;        sprintf(finale, text[i], <a class="code" href="statistiche_8cc.html#acd6d49725b8460672aadc8f440f421b0">stats</a>(<a class="code" href="grafica_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a>, i));</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;        al_draw_text(font, al_map_rgb(255, 255, 255), <a class="code" href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a>, </div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;                     <a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>*i + <a class="code" href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a> + (i == 6)*<a class="code" href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a>, ALLEGRO_ALIGN_LEFT,</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;                     finale);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    }</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    </div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    al_flip_display();</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    al_destroy_font(font);</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;}</div><div class="ttc" id="grafica_8h_html_ac1481a6c1982709cc6c7394c3bc2ed11"><div class="ttname"><a href="grafica_8h.html#ac1481a6c1982709cc6c7394c3bc2ed11">Y_OFFSET_HUD</a></div><div class="ttdeci">const int Y_OFFSET_HUD</div><div class="ttdoc">Distanza tra il margine superiore dello schermo e la prima riga dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:24</div></div>
<div class="ttc" id="statistiche_8cc_html_acd6d49725b8460672aadc8f440f421b0"><div class="ttname"><a href="statistiche_8cc.html#acd6d49725b8460672aadc8f440f421b0">stats</a></div><div class="ttdeci">double stats(statistiche stat, int i)</div><div class="ttdoc">Funzione che ritorna la statistica richiesta in base al codice fornito come parametro di input...</div><div class="ttdef"><b>Definition:</b> statistiche.cc:14</div></div>
<div class="ttc" id="grafica_8h_html_a1bde3d98948298e384aafd2b7a757526"><div class="ttname"><a href="grafica_8h.html#a1bde3d98948298e384aafd2b7a757526">X_TESTO_HUD</a></div><div class="ttdeci">const int X_TESTO_HUD</div><div class="ttdoc">Distanza tra il margine sinistro dello schermo e il testo dell&amp;#39;hud. </div><div class="ttdef"><b>Definition:</b> grafica.h:23</div></div>
<div class="ttc" id="grafica_8h_html_ace0a43d35ee272c7d5896d3ad6ec6e3a"><div class="ttname"><a href="grafica_8h.html#ace0a43d35ee272c7d5896d3ad6ec6e3a">Y_INTERLINEA</a></div><div class="ttdeci">const int Y_INTERLINEA</div><div class="ttdoc">Distanza tra una riga e la successiva. </div><div class="ttdef"><b>Definition:</b> grafica.h:25</div></div>
<div class="ttc" id="grafica_8cc_html_aaf37f3a2ad02610bb8b0ed4b392e2bb2"><div class="ttname"><a href="grafica_8cc.html#aaf37f3a2ad02610bb8b0ed4b392e2bb2">stat</a></div><div class="ttdeci">statistiche stat</div><div class="ttdef"><b>Definition:</b> dati.cc:21</div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ae11956c9aad35fe275b798bf4bcc4c6a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_sfondo </td>
          <td>(</td>
          <td class="paramtype">const ALLEGRO_BITMAP *&#160;</td>
          <td class="paramname"><em>immagine</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Stampa dell'immagine di sfondo. </p>

</div>
</div>
<a class="anchor" id="a43685bf99c306fa2021feeb692889d7f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void stampa_strutture </td>
          <td>(</td>
          <td class="paramtype">const list&lt; struttura &gt;&#160;</td>
          <td class="paramname"><em>strutture</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div class="fragment"><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;{</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div></div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Documentazione delle variabili</h2>
<a class="anchor" id="a7c721a3ead282fd4747f8eb5405a79a2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MAX_ALT_SALTO = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 375</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Altezza massima di salto. </p>

</div>
</div>
<a class="anchor" id="a908e0234e2bee0680ab9c53ec914c19b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MED_ALT_SALTO_1 = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 250</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata ancora una volta. </p>

</div>
</div>
<a class="anchor" id="ae3e19728792c4efa48c6b86ee9eb5832"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MED_ALT_SALTO_2 = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 325</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata ulteriormente. </p>

</div>
</div>
<a class="anchor" id="af10512e799a8de762023e0f97697cb38"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int MED_ALT_SALTO_3 = <a class="el" href="grafica_8h.html#ad3af550d56af7344403824f3dc496d91">Y_TERRENO</a> - 350</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Altezza alla quale la velocità di salita-discesa del salto viene ridotta-aumentata. </p>

</div>
</div>
<a class="anchor" id="a5ff7526ffd0929aec587ab046a63cc1c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int X_HUD = 40</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Distanza tra il margine sinistro dello schermo e le immagini dell'hud. </p>

</div>
</div>
<a class="anchor" id="a1bde3d98948298e384aafd2b7a757526"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int X_TESTO_HUD = <a class="el" href="grafica_8h.html#a5ff7526ffd0929aec587ab046a63cc1c">X_HUD</a> + 60</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Distanza tra il margine sinistro dello schermo e il testo dell'hud. </p>

</div>
</div>
<a class="anchor" id="ace0a43d35ee272c7d5896d3ad6ec6e3a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int Y_INTERLINEA = 60</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Distanza tra una riga e la successiva. </p>

</div>
</div>
<a class="anchor" id="ac1481a6c1982709cc6c7394c3bc2ed11"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int Y_OFFSET_HUD = 35</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Distanza tra il margine superiore dello schermo e la prima riga dell'hud. </p>

</div>
</div>
<a class="anchor" id="ad3af550d56af7344403824f3dc496d91"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const int Y_TERRENO = 705</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Posizione del terreno sull'asse y dove scorrono i personaggi. </p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generato Mer 6 Set 2017 17:21:16 per PPII da &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
